%define module	twitter

Name:		python-%{module}
Version:	3.2.1
Release:	%mkrel 1
Summary:	Python 2 bingings for Twitter
License:	ASL 2.0
Group:		Development/Python
Url:		https://github.com/bear/python-twitter
Source0:	http://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)

%description
This library provides a pure python2 interface for the Twitter API.

Twitter (http://twitter.com) provides a service that allows people to connect
via the web, IM, and SMS. Twitter exposes a web services API
(http://twitter.com/help/api) and this library is intended to make it even
easier for python programmers to use.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 bingings for Twitter
Group:		Development/Python
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{module}
This library provides a pure python3 interface for the Twitter API.

Twitter (http://twitter.com) provides a service that allows people to connect
via the web, IM, and SMS. Twitter exposes a web services API
(http://twitter.com/help/api) and this library is intended to make it even
easier for python programmers to use.

#------------------------------------------------

%prep
%setup -q

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%files
%doc README.rst COPYING
%{python2_sitelib}/%{module}/
%{python2_sitelib}/python_%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst COPYING
%{python3_sitelib}/%{module}/
%{python3_sitelib}/python_%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Feb 23 2017 daviddavid <daviddavid> 3.2.1-1.mga6
+ Revision: 1087522
- new version: 3.2.1
- add python3 package
- use new python macros
- update URL and Source URL

* Fri Feb 05 2016 umeabot <umeabot> 1.1-9.mga6
+ Revision: 938754
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-8.mga5
+ Revision: 747508
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1-7.mga5
+ Revision: 729951
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 688398
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1-4.mga4
+ Revision: 544375
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1-3.mga4
+ Revision: 499663
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 1.1-2.mga4
+ Revision: 497463
- remove oauth2 dependency

* Thu Oct 10 2013 philippem <philippem> 1.1-1.mga4
+ Revision: 494911
- update to 1.1

* Sun Jan 13 2013 umeabot <umeabot> 0.8.2-2.mga3
+ Revision: 379646
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 25 2011 colin <colin> 0.8.2-1.mga2
+ Revision: 113640
- imported package python-twitter

